/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Generic/Queue/include/Parameters.h"

namespace morpheo {
namespace behavioural {
namespace generic {
namespace queue {


#undef  FUNCTION
#define FUNCTION "Queue::Parameters"
  Parameters::Parameters (uint32_t size_queue,
			  uint32_t size_data ):
    _size_queue (size_queue),
    _size_data  (size_data )
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");
    test();
    log_printf(FUNC,Queue,FUNCTION,"End");
  };
  
#undef  FUNCTION
#define FUNCTION "Queue::Parameters (copy)"
  Parameters::Parameters (Parameters & param):
    _size_queue (param._size_queue),
    _size_data  (param._size_data )
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");
    test();
    log_printf(FUNC,Queue,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "Queue::~Parameters"
  Parameters::~Parameters () 
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");
    log_printf(FUNC,Queue,FUNCTION,"End");
  };

}; // end namespace queue
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
